# python(9)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## SYNOPSIS

python - Python Language File.

## FILES

hkpython.emf - Python Language file hook definition

## EXTENSIONS

.py - Python file

## MAGIC STRINGS

^#![ \t]*/.*env[ \t]+python

MicroEmacs 2009 recognizes the magic string on the first line of the file used to locate the executable. The Python files may be extension-less and are still recognized.

## DESCRIPTION

The python file type template provides simple hilighting of Python files, the template provides minimal hilighting.

File recognition is performed using the standard file extension .py, or by the magic string.

## BUGS

There would appear to be too much applied hilighting in this file, it could probably do with rationalizing.

## SEE ALSO

Supported File Types

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>